Skip to main content
GET
/
requests
/
{request_id}
Get one request by ID for the current company
curl --request GET \
  --url https://miner.production.judit.io/requests/{request_id} \
  --header 'api-key: <api-key>'
{
  "request_id": 123,
  "status": "pending",
  "type": "count",
  "total_lawsuits": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "processed_lawsuits": 123,
  "error_message": "<string>",
  "filter": {
    "kind": "judgement-bond",
    "tribunals": [
      123
    ],
    "amount_min": 123,
    "amount_max": 123,
    "budget_years": [
      123
    ],
    "natures": [
      "alimentary"
    ],
    "tags": [
      "precatory_dispatched"
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.judit.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
header
required

Replace with the actual API key requirement for your Miner API deployment.

Path Parameters

request_id
integer<int64>
required

Numeric request identifier

Required range: x >= 1

Response

Request found

request_id
integer<int64>
required
status
enum<string>
required
Available options:
pending,
completed,
failed
type
enum<string>
required
Available options:
count,
find
total_lawsuits
integer
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
processed_lawsuits
integer

Present when truthy in persistence layer

error_message
string
filter
object

Subset of filters returned on GET request (when stored on the entity)